import { CreateScriptDto } from './dto/create-script.dto';
import { commonServices } from 'src/services/commonServices';
import { Logger } from 'winston';
import { Model } from 'mongoose';
import { Script } from './schema/script.schema';
import { ScriptVideo } from './schema/scriptVideo.schema';
import { Response } from 'express';
import { ScreenshotService } from 'src/services/video-thumbnail.service';
import { PrivacyAndTermCondition } from './schema/privacy.tc.schema';
import { Payment } from './schema/payment.schema';
export declare class ScriptService {
    private readonly commonServices;
    private readonly screenshotService;
    private PrivacyAndTermConditionModel;
    private logger;
    private ScriptModel;
    private PaymentModel;
    private ScriptVideoModel;
    constructor(commonServices: commonServices, screenshotService: ScreenshotService, PrivacyAndTermConditionModel: Model<PrivacyAndTermCondition>, logger: Logger, ScriptModel: Model<Script>, PaymentModel: Model<Payment>, ScriptVideoModel: Model<ScriptVideo>);
    addScript(scriptData: CreateScriptDto, userId: string, script_video: any, res: Response): Promise<Response<any, Record<string, any>>>;
    updateScript(userId: string, scriptData: CreateScriptDto, res: Response): Promise<Response<any, Record<string, any>>>;
    deleteScript(_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getScriptById(userId: string, _id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getAllScript(userId: string, filterParams: any, res: Response): Promise<Response<any, Record<string, any>>>;
    favoriteScript(userID: string, data: CreateScriptDto, res: Response): Promise<Response<any, Record<string, any>>>;
    addVideo(scriptData: any, videoDetails: any, res: Response): Promise<Response<any, Record<string, any>>>;
    deleteScriptVideo(userId: string, data: CreateScriptDto, res: Response): Promise<Response<any, Record<string, any>>>;
    storePayment(paymentData: any, res: Response): Promise<Response<any, Record<string, any>>>;
    getPayment(userId: any, res: Response): Promise<Response<any, Record<string, any>>>;
}
